> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get auto enrolmentcompletepayrun  



## OpenAPI

````yaml /api-reference/specs/pension-v2.json get /auto-enrolment/complete/payrun/{payrollConfigId}/{year}/{frequency}/{period}
openapi: 3.0.1
info:
  title: FlowPayroll Pension API
  version: v2
servers:
  - url: https://api.sandbox.flowpayroll.ai/v2/pension
security: []
paths:
  /auto-enrolment/complete/payrun/{payrollConfigId}/{year}/{frequency}/{period}:
    get:
      tags:
        - AutoEnrolment
      operationId: GetCompleteAutoEnrolmentsByPayRun
      parameters:
        - name: payrollConfigId
          in: path
          required: true
          schema:
            type: string
        - name: year
          in: path
          required: true
          schema:
            type: integer
            format: int32
        - name: frequency
          in: path
          required: true
          schema:
            type: string
        - name: period
          in: path
          required: true
          schema:
            type: integer
            format: int32
        - name: includeEmployeeDetails
          in: query
          schema:
            type: boolean
        - name: asOfDate
          in: query
          schema:
            type: string
            format: date
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/EmployeeAutoEnrolmentCompleteListApiResponse
components:
  schemas:
    EmployeeAutoEnrolmentCompleteListApiResponse:
      type: object
      properties:
        content:
          $ref: '#/components/schemas/EmployeeAutoEnrolmentCompleteListContent'
        metadata:
          $ref: '#/components/schemas/Metadata'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        message:
          $ref: '#/components/schemas/Message'
      additionalProperties: false
    EmployeeAutoEnrolmentCompleteListContent:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/EmployeeAutoEnrolmentComplete'
          nullable: true
        metadata:
          $ref: '#/components/schemas/Metadata'
      additionalProperties: false
    Metadata:
      type: object
      properties:
        dateFormat:
          type: string
          nullable: true
        dateTimeFormat:
          type: string
          nullable: true
      additionalProperties: false
    Error:
      type: object
      properties:
        field:
          type: string
          nullable: true
        reasonText:
          type: string
          nullable: true
        reasonId:
          type: string
          nullable: true
        reasonParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    Message:
      type: object
      properties:
        text:
          type: string
          nullable: true
        textId:
          type: string
          nullable: true
        textParameters:
          type: array
          items:
            $ref: '#/components/schemas/Pair'
          nullable: true
      additionalProperties: false
    EmployeeAutoEnrolmentComplete:
      required:
        - associatedPayRunId
        - autoEnrolmentPensionGroup
        - determinationDate
        - employeeId
        - isManualEnrolled
        - organisationId
        - revisionNumber
        - status
      type: object
      properties:
        organisationId:
          type: string
          nullable: true
        employeeId:
          type: string
          nullable: true
        determinationDate:
          type: string
          format: date
        revisionNumber:
          type: integer
          format: int32
        status:
          type: string
          nullable: true
        employee:
          $ref: '#/components/schemas/EmployeeMinimal'
        associatedPayRunId:
          $ref: '#/components/schemas/PayRunId'
        didPostpone:
          type: boolean
        didPostponementExpire:
          type: boolean
        postponementEndDate:
          type: string
          format: date
          nullable: true
        isManualEnrolled:
          type: boolean
        autoEnrolmentPensionGroup:
          $ref: '#/components/schemas/PensionGroupV2'
      additionalProperties: false
    Pair:
      type: object
      properties:
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
      additionalProperties: false
    EmployeeMinimal:
      required:
        - employeeId
        - firstName
        - lastName
        - organisationId
      type: object
      properties:
        organisationId:
          type: string
          nullable: true
        employeeId:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
      additionalProperties: false
    PayRunId:
      required:
        - frequency
        - organisationId
        - payrollConfigId
        - period
        - year
      type: object
      properties:
        organisationId:
          type: string
          nullable: true
        year:
          type: integer
          format: int32
        period:
          type: integer
          format: int32
        frequency:
          type: string
          nullable: true
        payrollConfigId:
          type: string
          nullable: true
      additionalProperties: false
    PensionGroupV2:
      required:
        - basis
        - createdBy
        - createdDate
        - employeeFactor
        - employerFactor
        - id
        - isDefault
        - name
        - nationalInsuranceSavingsFactor
        - organisationId
        - pensionSchemaId
        - pensionType
        - updatedBy
        - updatedDate
      type: object
      properties:
        id:
          type: string
          nullable: true
        organisationId:
          type: string
          nullable: true
        pensionSchemaId:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        isDefault:
          type: boolean
        pensionType:
          enum:
            - ReliefAtSource
            - SalarySacrifice
            - NetPayArrangement
          type: string
          nullable: true
        isSalarySacrifice:
          type: boolean
          readOnly: true
        basis:
          type: string
          nullable: true
        employeeFactor:
          type: number
          format: float
        employerFactor:
          type: number
          format: float
        nationalInsuranceSavingsFactor:
          type: number
          format: float
        externalReferenceId:
          type: string
          nullable: true
        createdBy:
          type: string
          nullable: true
        createdDate:
          type: string
          format: date-time
        updatedBy:
          type: string
          nullable: true
        updatedDate:
          type: string
          format: date-time
      additionalProperties: false

````